Function TransformWithParam(sXML, sXSL, sModel, sMFC, sYear)
    'Declare variables
	Dim oXML, oXSL, oOuput
	Dim oTemplate, oProc

    'Create COM objects
	Set oXML = CreateObject("MSXML2.DOMDocument.3.0")
	Set oOutput = CreateObject("MSXML2.DOMDocument.3.0")
	Set oXSL = CreateObject("MSXML2.FreeThreadedDOMDocument.3.0")
	Set oTemplate = CreateObject("MSXML2.XSLTemplate")
	
	'Set loading properties
	oXML.async = False
	oXSL.async = False
	
	'Load XML and XSLT
	Call oXML.load(sXML)
	Call oXSL.load(sXSL)
	
	'Create XSLT processor
	Set oTemplate.stylesheet = oXSL
	Set oProc = oTemplate.createProcessor()
	
	'Set processor input and output
	oProc.input = oXML
	oProc.output = oOutput
	
	'Add parameters
	Call oProc.addParameter("model",sModel)
	Call oProc.addParameter("manufacturer",sMFC)
	Call oProc.addParameter("year",sYear)
	
	'Go!
	Call oProc.transform()
	
	'Return output
	TransformWithParam = oOutput.xml
	
	'Release objects
	Set oProc = Nothing
	Set oTemplate = Nothing
	Set oOuput = Nothing
	Set oXSL = Nothing
	Set oXML = Nothing
End Function

MsgBox(TransformWithParam("09list02.xml", "09list11.xsl", "X-type", "Jaguar", "2001"))