<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text" encoding="UTF-8" />
  <xsl:key name="searchkey" match="actor" use="@name" />
  <xsl:key name="searchkey" match="director" use="@name" />
  <xsl:param name="search" />

  <xsl:template match="/">
    <xsl:for-each select="key('searchkey',$search)">
      <xsl:value-of select="@name" />
      <xsl:text>&#xA;-</xsl:text>
      <xsl:value-of select="name()" />
      <xsl:text>: </xsl:text>
      <xsl:value-of select="../@title" />
      <xsl:text>&#xA;</xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>