<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text" encoding="UTF-8" />
  <xsl:strip-space elements="*" />

  <xsl:param name="money">0.0</xsl:param>
  
  <xsl:template match="/">
    <xsl:value-of select="concat('US $',$money)" />
    <xsl:text> equals&#xA;</xsl:text>
    <xsl:apply-templates />
  </xsl:template>
  
  <xsl:template match="rate">
    <xsl:value-of select="format-number($money div .,'#0.00')" />
    <xsl:value-of select="concat(' ',@name,'&#xA;')" />
  </xsl:template>
</xsl:stylesheet>