<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:math="java.lang.Math"
  extension-element-prefixes="math"
  exclude-result-prefixes="math">

  <xsl:output method="text" encoding="utf-8" />

  <xsl:template match="/">
    <xsl:for-each select="numbers/number">
      <xsl:text>The square root of </xsl:text>
      <xsl:value-of select="." />
      <xsl:text> is </xsl:text>
      <xsl:value-of select="math:sqrt(.)" />
      <xsl:text>.&#xA;</xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>