<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text" encoding="UTF-16" />

  <xsl:template match="/">
    <xsl:choose>
      <xsl:when test="starts-with(system-property('xsl:vendor'),'SAXON')">
        <xsl:text>Saxon does not support UTF-16 output.&#xA;</xsl:text>
        <xsl:text>UTF-16 output is required.&#xA;</xsl:text>
        <xsl:text>Please choose another processor.</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>